package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 瓶身表实体类
 *
 * @author zzyd
 * @since 2023-02-07
 */
@Data
@TableName("biz_bottle_body")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BottleBody对象", description = "瓶身表")
public class BottleBody extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 容量
	*/
	@ApiModelProperty(value = "容量")
	private Integer capacity;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态;0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态;0-禁用 1-启用")
	private Integer status;


}
