/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 瓶盖表实体类
 *
 * @author BladeX
 * @since 2023-02-07
 */
@Data
@TableName("biz_bottle_cap")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BottleCap对象", description = "瓶盖表")
public class BottleCap extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;


}
