package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 酒盒表实体类
 *
 * @author zzyd
 * @since 2023-02-07
 */
@Data
@TableName("biz_wine_box")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WineBox对象", description = "酒盒表")
public class WineBox extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 长
	*/
	@ApiModelProperty(value = "长")
	private BigDecimal length;
	/**
	* 宽
	*/
	@ApiModelProperty(value = "宽")
	private BigDecimal width;
	/**
	* 高
	*/
	@ApiModelProperty(value = "高")
	private BigDecimal high;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;


}
