/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.BottleBody;
import org.springblade.modules.custom.vo.BottleBodyVO;
import java.util.Objects;

/**
 * 瓶身表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-07
 */
public class BottleBodyWrapper extends BaseEntityWrapper<BottleBody, BottleBodyVO>  {

	public static BottleBodyWrapper build() {
		return new BottleBodyWrapper();
 	}

	@Override
	public BottleBodyVO entityVO(BottleBody bottleBody) {
		BottleBodyVO bottleBodyVO = Objects.requireNonNull(BeanUtil.copy(bottleBody, BottleBodyVO.class));

		//User createUser = UserCache.getUser(bottleBody.getCreateUser());
		//User updateUser = UserCache.getUser(bottleBody.getUpdateUser());
		//bottleBodyVO.setCreateUserName(createUser.getName());
		//bottleBodyVO.setUpdateUserName(updateUser.getName());

		return bottleBodyVO;
	}

}
