/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.BottleLabel;
import org.springblade.modules.custom.vo.BottleLabelVO;
import java.util.Objects;

/**
 * 标贴表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-07
 */
public class BottleLabelWrapper extends BaseEntityWrapper<BottleLabel, BottleLabelVO>  {

	public static BottleLabelWrapper build() {
		return new BottleLabelWrapper();
 	}

	@Override
	public BottleLabelVO entityVO(BottleLabel bottleLabel) {
		BottleLabelVO bottleLabelVO = Objects.requireNonNull(BeanUtil.copy(bottleLabel, BottleLabelVO.class));

		//User createUser = UserCache.getUser(bottleLabel.getCreateUser());
		//User updateUser = UserCache.getUser(bottleLabel.getUpdateUser());
		//bottleLabelVO.setCreateUserName(createUser.getName());
		//bottleLabelVO.setUpdateUserName(updateUser.getName());

		return bottleLabelVO;
	}

}
