/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.WineBoxStuffing;
import org.springblade.modules.custom.vo.WineBoxStuffingVO;
import java.util.Objects;

/**
 * 酒盒填充物表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-07
 */
public class WineBoxStuffingWrapper extends BaseEntityWrapper<WineBoxStuffing, WineBoxStuffingVO>  {

	public static WineBoxStuffingWrapper build() {
		return new WineBoxStuffingWrapper();
 	}

	@Override
	public WineBoxStuffingVO entityVO(WineBoxStuffing wineBoxStuffing) {
		WineBoxStuffingVO wineBoxStuffingVO = Objects.requireNonNull(BeanUtil.copy(wineBoxStuffing, WineBoxStuffingVO.class));

		//User createUser = UserCache.getUser(wineBoxStuffing.getCreateUser());
		//User updateUser = UserCache.getUser(wineBoxStuffing.getUpdateUser());
		//wineBoxStuffingVO.setCreateUserName(createUser.getName());
		//wineBoxStuffingVO.setUpdateUserName(updateUser.getName());

		return wineBoxStuffingVO;
	}

}
