/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.custom.entity.WineBox;
import org.springblade.modules.custom.vo.WineBoxVO;
import java.util.Objects;

/**
 * 酒盒表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-02-07
 */
public class WineBoxWrapper extends BaseEntityWrapper<WineBox, WineBoxVO>  {

	public static WineBoxWrapper build() {
		return new WineBoxWrapper();
 	}

	@Override
	public WineBoxVO entityVO(WineBox wineBox) {
		WineBoxVO wineBoxVO = Objects.requireNonNull(BeanUtil.copy(wineBox, WineBoxVO.class));

		//User createUser = UserCache.getUser(wineBox.getCreateUser());
		//User updateUser = UserCache.getUser(wineBox.getUpdateUser());
		//wineBoxVO.setCreateUserName(createUser.getName());
		//wineBoxVO.setUpdateUserName(updateUser.getName());

		return wineBoxVO;
	}

}
