package org.springblade.modules.system.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.enums.MoneySourceEnum;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class RecordParam implements Serializable {

	/**
	 * 当前余额变动枚举
	 */
	@ApiModelProperty(value = "当前余额变动枚举")
	private MoneySourceEnum  moneySourceEnum;

	/**
	 * 增加或扣减金额
	 */
	@ApiModelProperty(value = "增加或扣减金额")
	private BigDecimal fluctuantAmount = new BigDecimal(0);
	/**
	 * 手续费金额
	 */
	@ApiModelProperty(value = "手续费金额")
	private BigDecimal chargeAmount = new BigDecimal(0);
	/**
	 * 税费金额
	 */
	@ApiModelProperty(value = "税费金额")
	private BigDecimal taxAmount = new BigDecimal(0);

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 来源ID，（如订单id）
	 */
	@ApiModelProperty(value = "来源ID，（如订单id）")
	private Long dataId;

	@Override
	public String toString() {
		return "RecordParam{" +
			"moneySourceEnum=" + moneySourceEnum +
			", fluctuantAmount=" + fluctuantAmount +
			", chargeAmount=" + chargeAmount +
			", taxAmount=" + taxAmount +
			", userId=" + userId +
			", dataId=" + dataId +
			'}';
	}
}
